/*
    Maemo Orientation Example - mainwindow.h

    Author(s):
    Timo Härkönen
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include <qmaemo-ext/widget/qorientationcapability.h>
#include <qmaemo-ext/notifications/qnotification.h>

class QPushButton;
class QMenu;
class QVBoxLayout;
class QHBoxLayout;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);

public slots:
    void flip();
    void toggleOrientationChangeMode();
    void showBanner();
    void showNote();

private:
    void createMenu();
    void createActions();

    QPushButton *button;
    QPushButton *noteButton;
    QPushButton *bannerButton;
    QWidget *widget;
    QVBoxLayout *mainLayout;
    QHBoxLayout *buttonLayout;
    Maemo::QOrientationCapability *orientation;
    bool landscape;
    QMenu *menu;
    QAction *quitAction;
    QAction *orientationChangeModeAction;
    Maemo::QNotifications *notification;
};
#endif
